summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Schinagl <oliver@schinagl.nl>2005-04-07 07:33:28 (GMT)
committerOliver Schinagl <oliver@schinagl.nl>2005-04-07 07:33:28 (GMT)
commit08bf8216aa4a94bb2fa85a52a9b3eb5e9b3a0ff8 (patch)
tree63bf6b8f10d9190553ffd52dfaab7c83fb392ea8
parent2c46418afca5734bbf8e87dba551e7b868bd76af (diff)
download5kk53-08bf8216aa4a94bb2fa85a52a9b3eb5e9b3a0ff8.zip
5kk53-08bf8216aa4a94bb2fa85a52a9b3eb5e9b3a0ff8.tar.gz
5kk53-08bf8216aa4a94bb2fa85a52a9b3eb5e9b3a0ff8.tar.bz2
-rw-r--r--README.txt9
-rw-r--r--conf/svnserve.conf29
-rw-r--r--db/DB_CONFIG58
-rw-r--r--db/__db.001bin0 -> 8192 bytes
-rw-r--r--db/__db.002bin0 -> 270336 bytes
-rw-r--r--db/__db.003bin0 -> 393216 bytes
-rw-r--r--db/__db.004bin0 -> 737280 bytes
-rw-r--r--db/__db.005bin0 -> 16384 bytes
-rw-r--r--db/changesbin0 -> 16384 bytes
-rw-r--r--db/copiesbin0 -> 16384 bytes
-rw-r--r--db/fs-type1
-rw-r--r--db/log.0000000001bin0 -> 137692 bytes
-rw-r--r--db/nodesbin0 -> 16384 bytes
-rw-r--r--db/representationsbin0 -> 16384 bytes
-rw-r--r--db/revisionsbin0 -> 16384 bytes
-rw-r--r--db/stringsbin0 -> 16384 bytes
-rw-r--r--db/transactionsbin0 -> 16384 bytes
-rw-r--r--db/uuidsbin0 -> 16384 bytes
-rw-r--r--format1
-rw-r--r--hooks/post-commit.tmpl39
-rw-r--r--hooks/post-revprop-change.tmpl40
-rw-r--r--hooks/pre-commit.tmpl58
-rw-r--r--hooks/pre-revprop-change.tmpl49
-rw-r--r--hooks/start-commit.tmpl42
-rw-r--r--locks/db-logs.lock7
-rw-r--r--locks/db.lock10
26 files changed, 343 insertions, 0 deletions
diff --git a/README.txt b/README.txt
new file mode 100644
index 0000000..b803761
--- /dev/null
+++ b/README.txt
@@ -0,0 +1,9 @@
+This is a Subversion repository; use the 'svnadmin' tool to examine
+it. Do not add, delete, or modify files here unless you know how
+to avoid corrupting the repository.
+
+If the directory "db" contains a Berkeley DB environment,
+you may need to tweak the values in "db/DB_CONFIG" to match the
+requirements of your site.
+
+Visit http://subversion.tigris.org/ for more information.
diff --git a/conf/svnserve.conf b/conf/svnserve.conf
new file mode 100644
index 0000000..090629e
--- /dev/null
+++ b/conf/svnserve.conf
@@ -0,0 +1,29 @@
+### This file controls the configuration of the svnserve daemon, if you
+### use it to allow access to this repository. (If you only allow
+### access through http: and/or file: URLs, then this file is
+### irrelevant.)
+
+### Visit http://subversion.tigris.org/ for more information.
+
+# [general]
+### These options control access to the repository for unauthenticated
+### and authenticated users. Valid values are "write", "read",
+### and "none". The sample settings below are the defaults.
+# anon-access = read
+# auth-access = write
+### The password-db option controls the location of the password
+### database file. Unless you specify a path starting with a /,
+### the file's location is relative to the conf directory.
+### The format of the password database is similar to this file.
+### It contains one section labelled [users]. The name and
+### password for each user follow, one account per line. The
+### format is
+### USERNAME = PASSWORD
+### Please note that both the user name and password are case
+### sensitive. There is no default for the password file.
+# password-db = passwd
+### This option specifies the authentication realm of the repository.
+### If two repositories have the same authentication realm, they should
+### have the same password database, and vice versa. The default realm
+### is repository's uuid.
+# realm = My First Repository
diff --git a/db/DB_CONFIG b/db/DB_CONFIG
new file mode 100644
index 0000000..f76f07c
--- /dev/null
+++ b/db/DB_CONFIG
@@ -0,0 +1,58 @@
+# This is the configuration file for the Berkeley DB environment
+# used by your Subversion repository.
+# You must run 'svnadmin recover' whenever you modify this file,
+# for your changes to take effect.
+
+### Lock subsystem
+#
+# Make sure you read the documentation at:
+#
+# http://www.sleepycat.com/docs/ref/lock/max.html
+#
+# before tweaking these values.
+set_lk_max_locks 2000
+set_lk_max_lockers 2000
+set_lk_max_objects 2000
+
+### Log file subsystem
+#
+# Make sure you read the documentation at:
+#
+# http://www.sleepycat.com/docs/api_c/env_set_lg_bsize.html
+# http://www.sleepycat.com/docs/api_c/env_set_lg_max.html
+# http://www.sleepycat.com/docs/ref/log/limits.html
+#
+# Increase the size of the in-memory log buffer from the default
+# of 32 Kbytes to 256 Kbytes. Decrease the log file size from
+# 10 Mbytes to 1 Mbyte. This will help reduce the amount of disk
+# space required for hot backups. The size of the log file must be
+# at least four times the size of the in-memory log buffer.
+#
+# Note: Decreasing the in-memory buffer size below 256 Kbytes
+# will hurt commit performance. For details, see this post from
+# Daniel Berlin <dan@dberlin.org>:
+#
+# http://subversion.tigris.org/servlets/ReadMsg?list=dev&msgId=161960
+set_lg_bsize 262144
+set_lg_max 1048576
+#
+# If you see "log region out of memory" errors, bump lg_regionmax.
+# See http://www.sleepycat.com/docs/ref/log/config.html and
+# http://svn.haxx.se/users/archive-2004-10/1001.shtml for more.
+set_lg_regionmax 131072
+#
+# Disable fsync of log files on transaction commit. Read the
+# documentation about DB_TXN_NOSYNC at:
+#
+# http://www.sleepycat.com/docs/api_c/env_set_flags.html
+#
+# [requires Berkeley DB 4.0]
+# set_flags DB_TXN_NOSYNC
+#
+# Enable automatic removal of unused transaction log files.
+# Read the documentation about DB_LOG_AUTOREMOVE at:
+#
+# http://www.sleepycat.com/docs/api_c/env_set_flags.html
+#
+# [requires Berkeley DB 4.2]
+set_flags DB_LOG_AUTOREMOVE
diff --git a/db/__db.001 b/db/__db.001
new file mode 100644
index 0000000..64c87b0
--- /dev/null
+++ b/db/__db.001
Binary files differ
diff --git a/db/__db.002 b/db/__db.002
new file mode 100644
index 0000000..2d8fe17
--- /dev/null
+++ b/db/__db.002
Binary files differ
diff --git a/db/__db.003 b/db/__db.003
new file mode 100644
index 0000000..d292f7a
--- /dev/null
+++ b/db/__db.003
Binary files differ
diff --git a/db/__db.004 b/db/__db.004
new file mode 100644
index 0000000..d70dd17
--- /dev/null
+++ b/db/__db.004
Binary files differ
diff --git a/db/__db.005 b/db/__db.005
new file mode 100644
index 0000000..0c7dbec
--- /dev/null
+++ b/db/__db.005
Binary files differ
diff --git a/db/changes b/db/changes
new file mode 100644
index 0000000..585393c
--- /dev/null
+++ b/db/changes
Binary files differ
diff --git a/db/copies b/db/copies
new file mode 100644
index 0000000..f515991
--- /dev/null
+++ b/db/copies
Binary files differ
diff --git a/db/fs-type b/db/fs-type
new file mode 100644
index 0000000..b225756
--- /dev/null
+++ b/db/fs-type
@@ -0,0 +1 @@
+bdb
diff --git a/db/log.0000000001 b/db/log.0000000001
new file mode 100644
index 0000000..f134059
--- /dev/null
+++ b/db/log.0000000001
Binary files differ
diff --git a/db/nodes b/db/nodes
new file mode 100644
index 0000000..c5722a5
--- /dev/null
+++ b/db/nodes
Binary files differ
diff --git a/db/representations b/db/representations
new file mode 100644
index 0000000..d94a3d4
--- /dev/null
+++ b/db/representations
Binary files differ
diff --git a/db/revisions b/db/revisions
new file mode 100644
index 0000000..6a25d11
--- /dev/null
+++ b/db/revisions
Binary files differ
diff --git a/db/strings b/db/strings
new file mode 100644
index 0000000..4cea84a
--- /dev/null
+++ b/db/strings
Binary files differ
diff --git a/db/transactions b/db/transactions
new file mode 100644
index 0000000..76a5254
--- /dev/null
+++ b/db/transactions
Binary files differ
diff --git a/db/uuids b/db/uuids
new file mode 100644
index 0000000..528f3fc
--- /dev/null
+++ b/db/uuids
Binary files differ
diff --git a/format b/format
new file mode 100644
index 0000000..00750ed
--- /dev/null
+++ b/format
@@ -0,0 +1 @@
+3
diff --git a/hooks/post-commit.tmpl b/hooks/post-commit.tmpl
new file mode 100644
index 0000000..27d8032
--- /dev/null
+++ b/hooks/post-commit.tmpl
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# POST-COMMIT HOOK
+#
+# The post-commit hook is invoked after a commit. Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-commit' (for which this file is a template) with the
+# following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REV (the number of the revision just committed)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the commit has already completed and cannot be undone,
+# the exit code of the hook program is ignored. The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-committed tree.
+#
+# On a Unix system, the normal procedure is to have 'post-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-commit.bat' or 'post-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+
+commit-email.pl "$REPOS" "$REV" commit-watchers@example.org
+log-commit.py --repository "$REPOS" --revision "$REV"
diff --git a/hooks/post-revprop-change.tmpl b/hooks/post-revprop-change.tmpl
new file mode 100644
index 0000000..7d13ce5
--- /dev/null
+++ b/hooks/post-revprop-change.tmpl
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# POST-REVPROP-CHANGE HOOK
+#
+# The post-revprop-change hook is invoked after a revision property
+# has been changed. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named 'post-revprop-change'
+# (for which this file is a template), with the following ordered
+# arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REV (the revision that was tweaked)
+# [3] USER (the username of the person tweaking the property)
+# [4] PROPNAME (the property that was changed)
+#
+# Because the propchange has already completed and cannot be undone,
+# the exit code of the hook program is ignored. The hook program
+# can use the 'svnlook' utility to help it examine the
+# new property value.
+#
+# On a Unix system, the normal procedure is to have 'post-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-revprop-change.bat' or 'post-revprop-change.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+
+propchange-email.pl "$REPOS" "$REV" "$USER" "$PROPNAME" watchers@example.org
diff --git a/hooks/pre-commit.tmpl b/hooks/pre-commit.tmpl
new file mode 100644
index 0000000..ce228d3
--- /dev/null
+++ b/hooks/pre-commit.tmpl
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# PRE-COMMIT HOOK
+#
+# The pre-commit hook is invoked before a Subversion txn is
+# committed. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named 'pre-commit' (for which
+# this file is a template), with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] TXN-NAME (the name of the txn about to be committed)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the txn is committed; but
+# if it exits with failure (non-zero), the txn is aborted, no commit
+# takes place, and STDERR is returned to the client. The hook
+# program can use the 'svnlook' utility to help it examine the txn.
+#
+# On a Unix system, the normal procedure is to have 'pre-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# *** NOTE: THE HOOK PROGRAM MUST NOT MODIFY THE TXN, EXCEPT ***
+# *** FOR REVISION PROPERTIES (like svn:log or svn:author). ***
+#
+# This is why we recommend using the read-only 'svnlook' utility.
+# In the future, Subversion may enforce the rule that pre-commit
+# hooks should not modify the versioned data in txns, or else come
+# up with a mechanism to make it safe to do so (by informing the
+# committing client of the changes). However, right now neither
+# mechanism is implemented, so hook writers just have to be careful.
+#
+# Note that 'pre-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-commit.bat' or 'pre-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+TXN="$2"
+
+# Make sure that the log message contains some text.
+SVNLOOK=/usr/local/bin/svnlook
+$SVNLOOK log -t "$TXN" "$REPOS" | \
+ grep "[a-zA-Z0-9]" > /dev/null || exit 1
+
+# Check that the author of this commit has the rights to perform
+# the commit on the files and directories being modified.
+commit-access-control.pl "$REPOS" "$TXN" commit-access-control.cfg || exit 1
+
+# All checks passed, so allow the commit.
+exit 0
diff --git a/hooks/pre-revprop-change.tmpl b/hooks/pre-revprop-change.tmpl
new file mode 100644
index 0000000..78857a9
--- /dev/null
+++ b/hooks/pre-revprop-change.tmpl
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# PRE-REVPROP-CHANGE HOOK
+#
+# The pre-revprop-change hook is invoked before a revision property
+# is modified. Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named 'pre-revprop-change' (for which
+# this file is a template), with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] REVISION (the revision being tweaked)
+# [3] USER (the username of the person tweaking the property)
+# [4] PROPNAME (the property being set on the revision)
+#
+# [STDIN] PROPVAL ** the property value is passed via STDIN.
+#
+# If the hook program exits with success, the propchange happens; but
+# if it exits with failure (non-zero), the propchange doesn't happen.
+# The hook program can use the 'svnlook' utility to examine the
+# existing value of the revision property.
+#
+# WARNING: unlike other hooks, this hook MUST exist for revision
+# properties to be changed. If the hook does not exist, Subversion
+# will behave as if the hook were present, but failed. The reason
+# for this is that revision properties are UNVERSIONED, meaning that
+# a successful propchange is destructive; the old value is gone
+# forever. We recommend the hook back up the old value somewhere.
+#
+# On a Unix system, the normal procedure is to have 'pre-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-revprop-change.bat' or 'pre-revprop-change.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+
+if [ "$PROPNAME" = "svn:log" ]; then exit 0; fi
+exit 1
diff --git a/hooks/start-commit.tmpl b/hooks/start-commit.tmpl
new file mode 100644
index 0000000..2f26ea2
--- /dev/null
+++ b/hooks/start-commit.tmpl
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# START-COMMIT HOOK
+#
+# The start-commit hook is invoked before a Subversion txn is created
+# in the process of doing a commit. Subversion runs this hook
+# by invoking a program (script, executable, binary, etc.) named
+# 'start-commit' (for which this file is a template)
+# with the following ordered arguments:
+#
+# [1] REPOS-PATH (the path to this repository)
+# [2] USER (the authenticated user attempting to commit)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the commit continues; but
+# if it exits with failure (non-zero), the commit is stopped before
+# a Subversion txn is created, and STDERR is returned to the client.
+#
+# On a Unix system, the normal procedure is to have 'start-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'start-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'start-commit.bat' or 'start-commit.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+commit-allower.pl --repository "$REPOS" --user "$USER" || exit 1
+special-auth-check.py --user "$USER" --auth-level 3 || exit 1
+
+# All checks passed, so allow the commit.
+exit 0
diff --git a/locks/db-logs.lock b/locks/db-logs.lock
new file mode 100644
index 0000000..f6956f7
--- /dev/null
+++ b/locks/db-logs.lock
@@ -0,0 +1,7 @@
+DB logs lock file, representing locks on the versioned filesystem logs.
+
+All log manipulators of the repository's
+Berkeley DB environment take out exclusive locks on this file
+to ensure that only one accessor manupulates the logs at the time.
+
+You should never have to edit or remove this file.
diff --git a/locks/db.lock b/locks/db.lock
new file mode 100644
index 0000000..6269d7e
--- /dev/null
+++ b/locks/db.lock
@@ -0,0 +1,10 @@
+DB lock file, representing locks on the versioned filesystem.
+
+All accessors -- both readers and writers -- of the repository's
+Berkeley DB environment take out shared locks on this file, and
+each accessor removes its lock when done. If and when the DB
+recovery procedure is run, the recovery code takes out an
+exclusive lock on this file, so we can be sure no one else is
+using the DB during the recovery.
+
+You should never have to edit or remove this file.